{ mkDerivation, QuickCheck, base, bytestring, chell
, chell-quickcheck, deepseq, lib, text
}:
mkDerivation {
  pname = "system-filepath";
  version = "0.4.14.1";
  sha256 = "2f222942e185d1cd160c3bd2c9bd1afe5954fe678e4cd53c58931d70c343daa5";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [ base bytestring deepseq text ];
  testHaskellDepends = [
    base bytestring chell chell-quickcheck QuickCheck text
  ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/fpco/haskell-filesystem";
  description = "High-level, byte-based file and directory path manipulations (deprecated)";
  license = lib.licenses.mit;
  broken = false;
}